Summary: 4.4BSD-Lite telnet and telentd with encryption support
Name: SSL-MZtelnet
Version: 0.11.1
Release: 2
Source0: ftp://ftp.replay.com:/pub/replay/pub/crypto/SSL-MZapps/SSL-MZtelnet-0.11.1.tar.gz
#Source1: SSL-MZtelnet-liscence.txt
Copyright: Freely distributable, retain attribution
Group: Networking
Packager: Ben Hochstedler <hochstrb$cs.rose-hulman.edu>
Patch: SSL-MZtelnet-0.11.1-2.patch
#Prefix: /usr/local/ssl
Icon: ssleay.gif
URL: http://www.replay.com/
%description
SSL-MZ telnet(d) package with encryption support.
It comes from the 4.4BSD-Lite version of telnet and telnetd and is
patched with the SSL-enhancement of Tim Hudson <tjh@mincom.oz.au>,
which he did to the SRA-telnet sources.

%changelog
* Mon Apr 13 1998 Ben Hochstedler <hochstrb@cs.rose-hulman.edu> 0.11.1-2
- Added SSL-MZtelnet-liscence.txt
* Sun Sep 14 1997 Ben <hochstrb@cs.rose-hulman.edu> 0.11.1-1
- Initial RPM

%prep
%setup
%patch -p1

%build
./configure --with-ssl 
make

%install
strip telnet/telnet
strip telnetd/telnetd
make install
install -d /usr/local/ssl/man/man1
install -m644 telnet/telnet.1 /usr/local/ssl/man/man1/telnet.1
install -d /usr/local/ssl/man/man8
install -m644 telnetd/telnetd.8 /usr/local/ssl/man/man8/telnetd.8

%files
%doc README ANNOUNCE BUGS PLATFORMS README.apps TAGS VERSION SSL-MZtelnet-liscence.txt 
/usr/local/ssl/bin/telnet
/usr/local/ssl/bin/telnetd
/usr/local/ssl/man/man1/telnet.1
/usr/local/ssl/man/man8/telnetd.8

%post
echo "Removing executable permissions on /usr/bin/telnet."
chmod -f a-x /usr/bin/telnet
echo ""
echo "In order to run the SSL telnet server, run the following commands:"
echo "cd /usr/local/ssl/certs"
echo "ssleay req -new -x509 -nodes -days 365 -out telnetd.pem -keyout telnetd.pem"
echo "ln -s telnetd.pem \`ssleay x509 -noout -hash < telnetd.pem\`.0" 
echo "chmod 644 telnetd.pem"
echo ""
echo "Change the in.telnetd entry in /etc/inetd.conf to /usr/local/ssl/bin/telnetd:"
echo "#telnet  stream  tcp     nowait  root    /usr/sbin/tcpd  in.telnetd"
echo "telnet stream  tcp    nowait  root   /usr/sbin/tcpd  /usr/local/ssl/bin/telnetd"
echo "Then, kill -HUP inetd"

%postun
echo "Restoring executable permissions on /usr/bin/telnet"
chmod -f a+x /usr/bin/telnet
echo "Removing /usr/local/ssl/certs/telnetd.pem"
cd /usr/local/ssl/certs/
rm -f `../bin/ssleay x509 -noout -hash < telnetd.pem`.0
rm -f telnetd.pem
